# max-events: 300
debug: false

output-file: ../hists/new_seeding.root
source-files:
    - filename: ../data/new_trees/trackingNtuple_1.root
    - filename: ../data/new_trees/trackingNtuple_2.root
    - filename: ../data/new_trees/trackingNtuple_3.root
    - filename: ../data/new_trees/trackingNtuple_4.root
    - filename: ../data/new_trees/trackingNtuple_5.root
    - filename: ../data/new_trees/trackingNtuple_6.root
    - filename: ../data/new_trees/trackingNtuple_7.root
    - filename: ../data/new_trees/trackingNtuple_8.root
    - filename: ../data/new_trees/trackingNtuple_9.root
    - filename: ../data/new_trees/trackingNtuple_10.root
    - filename: ../data/new_trees/trackingNtuple_11.root
    - filename: ../data/new_trees/trackingNtuple_12.root
    - filename: ../data/new_trees/trackingNtuple_13.root
    - filename: ../data/new_trees/trackingNtuple_14.root
    - filename: ../data/new_trees/trackingNtuple_15.root
    - filename: ../data/new_trees/trackingNtuple_16.root
    - filename: ../data/new_trees/trackingNtuple_17.root
    - filename: ../data/new_trees/trackingNtuple_18.root
    - filename: ../data/new_trees/trackingNtuple_19.root
    - filename: ../data/new_trees/trackingNtuple_20.root
    - filename: ../data/new_trees/trackingNtuple_21.root
    - filename: ../data/new_trees/trackingNtuple_22.root
    - filename: ../data/new_trees/trackingNtuple_23.root
    - filename: ../data/new_trees/trackingNtuple_24.root
    - filename: ../data/new_trees/trackingNtuple_25.root
    - filename: ../data/new_trees/trackingNtuple_26.root
    - filename: ../data/new_trees/trackingNtuple_27.root
    - filename: ../data/new_trees/trackingNtuple_28.root
    - filename: ../data/new_trees/trackingNtuple_29.root
    - filename: ../data/new_trees/trackingNtuple_30.root
    - filename: ../data/new_trees/trackingNtuple_31.root
    - filename: ../data/new_trees/trackingNtuple_32.root
    - filename: ../data/new_trees/trackingNtuple_33.root
    - filename: ../data/new_trees/trackingNtuple_34.root
    - filename: ../data/new_trees/trackingNtuple_35.root
    - filename: ../data/new_trees/trackingNtuple_36.root
    - filename: ../data/new_trees/trackingNtuple_37.root
    - filename: ../data/new_trees/trackingNtuple_38.root
    - filename: ../data/new_trees/trackingNtuple_39.root
    - filename: ../data/new_trees/trackingNtuple_40.root
    - filename: ../data/new_trees/trackingNtuple_41.root
    - filename: ../data/new_trees/trackingNtuple_42.root
    - filename: ../data/new_trees/trackingNtuple_43.root
    - filename: ../data/new_trees/trackingNtuple_44.root
    - filename: ../data/new_trees/trackingNtuple_45.root
    - filename: ../data/new_trees/trackingNtuple_46.root
    - filename: ../data/new_trees/trackingNtuple_47.root
    - filename: ../data/new_trees/trackingNtuple_48.root
    - filename: ../data/new_trees/trackingNtuple_49.root
    - filename: ../data/new_trees/trackingNtuple_50.root
    - filename: ../data/new_trees/trackingNtuple_51.root
    - filename: ../data/new_trees/trackingNtuple_52.root
    - filename: ../data/new_trees/trackingNtuple_53.root
    - filename: ../data/new_trees/trackingNtuple_54.root
    - filename: ../data/new_trees/trackingNtuple_55.root
    - filename: ../data/new_trees/trackingNtuple_56.root
    - filename: ../data/new_trees/trackingNtuple_57.root
    - filename: ../data/new_trees/trackingNtuple_58.root
    - filename: ../data/new_trees/trackingNtuple_59.root
    - filename: ../data/new_trees/trackingNtuple_60.root
    - filename: ../data/new_trees/trackingNtuple_61.root
    - filename: ../data/new_trees/trackingNtuple_62.root
    - filename: ../data/new_trees/trackingNtuple_63.root
    - filename: ../data/new_trees/trackingNtuple_64.root
    - filename: ../data/new_trees/trackingNtuple_65.root
    - filename: ../data/new_trees/trackingNtuple_66.root
    - filename: ../data/new_trees/trackingNtuple_67.root
    - filename: ../data/new_trees/trackingNtuple_68.root
    - filename: ../data/new_trees/trackingNtuple_69.root
    - filename: ../data/new_trees/trackingNtuple_70.root
    - filename: ../data/new_trees/trackingNtuple_71.root
    - filename: ../data/new_trees/trackingNtuple_72.root
    - filename: ../data/new_trees/trackingNtuple_73.root
    - filename: ../data/new_trees/trackingNtuple_74.root
    - filename: ../data/new_trees/trackingNtuple_75.root
    - filename: ../data/new_trees/trackingNtuple_76.root
    - filename: ../data/new_trees/trackingNtuple_77.root
    - filename: ../data/new_trees/trackingNtuple_78.root
    - filename: ../data/new_trees/trackingNtuple_79.root

hist-params:

    dRz:
        label_x: "dRz (cm)"
        nbins: 30
        low: 0
        high: 10
        label_y: ""

    dPhi:
        label_x: "dPhi (rad)"
        nbins: 30
        low: 0
        high: 0.15
        label_y: ""

    dRz_v_Et:
        label_x: "dRz (cm)"
        nbins_x: 30
        low_x: 0
        high_x: 10
        label_y: "$E_T$"
        nbins_y: 30
        low_y: 0
        high_y: 100

    dPhi_v_Et:
        label_x: "dPhi (rad)"
        nbins_x: 30
        low_x: 0
        high_x: 0.15
        label_y: "$E_T$"
        nbins_y: 30
        low_y: 0
        high_y: 100

    dRz_outer_hits:
        label_x: "dRz (cm)"
        nbins: 30
        low: 0
        high: 0.1
        label_y: ""

    dPhi_outer_hits:
        label_x: "dPhi (rad)"
        nbins: 30
        low: 0
        high: 0.004
        label_y: ""

    dRz_v_Et_outer_hits:
        label_x: "dRz (cm)"
        nbins_x: 30
        low_x: 0
        high_x: 0.15
        label_y: "$E_T$"
        nbins_y: 30
        low_y: 0
        high_y: 100

    dPhi_v_Et_outer_hits:
        label_x: "dPhi (rad)"
        nbins_x: 30
        low_x: 0
        high_x: 0.004
        label_y: "$E_T$"
        nbins_y: 30
        low_y: 0
        high_y: 100

    eff_v_pt:
        label_x: "eff_v_pt"
        nbins: 30
        low: 0
        high: 300
        label_y: ""
    eff_v_eta:
        label_x: "eff_v_eta"
        nbins: 30
        low: -3.0
        high: 3.0
        label_y: ""
    eff_v_phi:
        label_x: "eff_v_phi"
        nbins: 30
        low: -3.2
        high: 3.2
        label_y: ""

    pur_v_pt:
        label_x: "pur_v_pt"
        nbins: 30
        low: 0
        high: 300
        label_y: ""
    pur_v_eta:
        label_x: "pur_v_eta"
        nbins: 30
        low: -3.0
        high: 3.0
        label_y: ""
    pur_v_phi:
        label_x: "pur_v_phi"
        nbins: 30
        low: -3.2
        high: 3.2
        label_y: ""

    n_hit_v_eta:
        label_x: "eta"
        nbins_x: 60
        low_x: -3
        high_x: 3
        label_y: "Number of Pixel Hits"
        nbins_y: 7
        low_y: -0.5
        high_y: 6.5

    hit_vs_layer:
        label_x: "layer"
        nbins_x: 4
        low_x: 0.5
        high_x: 4.5
        label_y: "hit number"
        nbins_y: 5
        low_y: 0.5
        high_y: 5.5